Venerdì 13...

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
conraid
Staff
Staff
Messaggi: 12691
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Venerdì 13...

Messaggioda conraid » sab lug 14, 2012 10:59

Questo si che è un changelog con openssl 1... ad occhio devo ricompilare quasi tutti i pacchetti di slackers.it ;-)

Si è capito il perché manca xfce, e non mi torna una cosa. Ha tolto jdk, ma jre è rimasto?

miklos
Linux 3.x
Linux 3.x
Messaggi: 1403
Iscritto il: lun lug 16, 2007 17:39
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2
Località: Roma

Re: Venerdì 13...

Messaggioda miklos » sab lug 14, 2012 11:07

mi sembra che abbia tolto tutto quanto, per ora l'unica via è compilare o usare i pacchetti di alienbob per openjdk
comunque ha finalmente aggiornato le gtk :D urraaaaa quasi quasi passo a current

per xfce la vedo un po' dura, ho notato che le ultime versioni introducono dipendenze gnome (gnome-keyring mi pare fosse) e spero tanto che chiuda un occhio
ho visto cose che voi astemi non potete immaginare

Avatar utente
conraid
Staff
Staff
Messaggi: 12691
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: Venerdì 13...

Messaggioda conraid » sab lug 14, 2012 11:17

non avevo visto jre, in effetti diventa un problema per usare eclipse, netbeans, etc... o installo i pacchetti di alien o lascio jre

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Venerdì 13...

Messaggioda Trotto@81 » sab lug 14, 2012 12:12

Jre mi pare sia utile anche per la navigazione, o sbaglio?

Avatar utente
conraid
Staff
Staff
Messaggi: 12691
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: Venerdì 13...

Messaggioda conraid » sab lug 14, 2012 13:39

a 32bit non aggiornate, manca p11-kit

Avatar utente
ermes
Linux 2.4
Linux 2.4
Messaggi: 365
Iscritto il: dom feb 20, 2005 0:00
Slackware: current 64
Desktop: kde
Località: Rho (Mi)

Re: Venerdì 13...

Messaggioda ermes » sab lug 14, 2012 14:54

Sulla virtual machine con slack current 64 ho provato a fare il solito slacpkg upgrade-all ma mi si è incartato a metà.

ecco l'errore che mi viene segnalato ogni volta che tento di lanciare slackpak

Codice: Seleziona tutto

wget: error while loading shared libraries: libgnutls.so.26: cannot open shared object file: No such file or directory
grep: /tmp/slackpkg.Rfu3mi/ChangeLog.txt: No such file or directory


cosa posso fare ? :-k

Avatar utente
conraid
Staff
Staff
Messaggi: 12691
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: Venerdì 13...

Messaggioda conraid » sab lug 14, 2012 15:57

usare quei tool è sempre pericoloso. Prima andavano aggiornati/installati wget, gnutls e pk11-kit che però appunto a 32bit non c'è. Tu sei a 64, aggiorna o installa a mano quei pacchetti e poi riprova

darkstaring
Linux 2.4
Linux 2.4
Messaggi: 473
Iscritto il: mer ott 13, 2010 13:55
Desktop: xfce
Distribuzione: Kali Linux

Re: Venerdì 13...

Messaggioda darkstaring » sab lug 14, 2012 17:02

Ahahha anche io ci son cascato :evil:
Ho aggiornato la mia slack32 con slackpkg ed ora ho paura di spegnere il pc..
conraid ha scritto:usare quei tool è sempre pericoloso. Prima andavano aggiornati/installati wget, gnutls e pk11-kit che però appunto a 32bit non c'è. Tu sei a 64, aggiorna o installa a mano quei pacchetti e poi riprova


Ho installato questi pacchetti ( wget-1.13.4-i486-1 / gnutls-3.0.21-i486-1 / p11-kit-0.12-i486-1 ) ma wget non và
perchè manca la libreria "libnettle.so.4".

Come è meglio procedere?
Grazie

Avatar utente
conraid
Staff
Staff
Messaggi: 12691
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: Venerdì 13...

Messaggioda conraid » sab lug 14, 2012 17:30

slackpkg install-new a me ha installato nettle, però c'è da dire che io avevo già installato una mia versione, ma l'ho prima eliminata e che usando un mirror non devo scaricare niente dalla rete.
p11-kit come l'hai installato, te lo sei compilato da solo?

mi sa che nettle è uno da aggiornare prima come gli altri

altro consiglio, tra le opzioni di slackpkg mettete sempre DOWNLOAD_ALL=on

darkstaring
Linux 2.4
Linux 2.4
Messaggi: 473
Iscritto il: mer ott 13, 2010 13:55
Desktop: xfce
Distribuzione: Kali Linux

Re: Venerdì 13...

Messaggioda darkstaring » sab lug 14, 2012 17:42

Si con nettle funge :)..
Per compilare p11-kit ho usati gli slackbuild
conraid ha scritto:altro consiglio, tra le opzioni di slackpkg mettete sempre DOWNLOAD_ALL=on

Grazie per i tuoi lumi !
:D

Avatar utente
conraid
Staff
Staff
Messaggi: 12691
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: Venerdì 13...

Messaggioda conraid » sab lug 14, 2012 18:11

da quel che leggo su LQ state attenti anche ad inittab, per adesso lasciate il vecchio

Avatar utente
RedSkull92
Linux 2.6
Linux 2.6
Messaggi: 567
Iscritto il: mar apr 21, 2009 17:25
Slackware: 64bit -current
Kernel: 3.5.4
Desktop: FluxBox
Località: Palermo
Contatta:

Re: Venerdì 13...

Messaggioda RedSkull92 » sab lug 14, 2012 21:13

Ragazzi hanno aggiunto il pacchetto n/ p11-kit-0.12-i486-1.txz

miklos
Linux 3.x
Linux 3.x
Messaggi: 1403
Iscritto il: lun lug 16, 2007 17:39
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2
Località: Roma

Re: Venerdì 13...

Messaggioda miklos » sab lug 14, 2012 21:22

Trotto@81 ha scritto:Jre mi pare sia utile anche per la navigazione, o sbaglio?
si, serve per i siti che utilizzano 'ancora' le applet java, che pero' c'e' da dire che nn sono poi tantissimi.
comunque il principio di eliminazione è dovuto ai cambi di licenza di distribuzione fatto da oracle (maledetta).
quindi o si utilizza la openjdk pacchettizzata da alienbob(che dalla versione 7 è diventata la base di quella proprietaria quindi non c'e' praticamente differenza nel core) oppure come si fa con i driver proprietari nvidia ati, etc etc etc si scarica il binario e si pacchettizza in autonomia(questo è consentito da oracle), che poi era quello che faceva pat.

personalmente ho un po' di dubbi sul fatto che verrà inserita la openjdk, lo dico perchè alienbob è da un bel po' che la pacchettizza e sulla current non vi è ancora traccia.
spero pero' di sbagliarmi perchè comunque utilizzandola(openjdk) sarebbe una bella comodità.
ho visto cose che voi astemi non potete immaginare

Avatar utente
ermes
Linux 2.4
Linux 2.4
Messaggi: 365
Iscritto il: dom feb 20, 2005 0:00
Slackware: current 64
Desktop: kde
Località: Rho (Mi)

Re: Venerdì 13...

Messaggioda ermes » dom lug 15, 2012 14:59

conraid ha scritto:Prima andavano aggiornati/installati wget, gnutls e pk11-kit


dove era scritta questa cosa ?
Il mio inglese non è eccezionale (anzi) ma non mi sembra di avere letto di precedenze nel changelog
ho scaricato i 3 pacchetti e li ho installati a mano... ora sembra tornato tutto a posto e sto facendo l'aggiornamento.

grazie

Avatar utente
conraid
Staff
Staff
Messaggi: 12691
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: Venerdì 13...

Messaggioda conraid » lun lug 16, 2012 12:08

ermes ha scritto:
conraid ha scritto:Prima andavano aggiornati/installati wget, gnutls e pk11-kit


dove era scritta questa cosa ?


da nessuna parte, anche perché il changelog non prevede l'uso di slackpkg, ma di un aggiornamento con i pkgtools classici.

Comunque adesso è diverso, gnutls non serve più, wget è compilato con openssl


Torna a “Slackware”

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite